# GNS3 Patches

Custom patches for GNS3 network topology simulator & planning software.

**Author**: Pekka Helenius, 2019-2021.

## Patches

### Link colors

Adds link color support for GNS3.

GNS3 version target: `2.2.0a2`

[![](https://fjordtek.com/images/content/thumb/medium-550/gns3_1.png)](https://fjordtek.com/images/content/gns3_1.png)

- [gns3-gui - patch_gns3gui_linkcolors.patch](patches/gns3-gui/patch_gns3gui_linkcolors.patch)

- [gns3-server - patch_gns3server_linkcolors.patch](patches/gns3-server/patch_gns3server_linkcolors.patch)

### QEMU environment variables

GNS3 version target: `2.2.0a2`

Adds QEMU environment variable support for GNS3. For instance, if we want to disable audio for QEMU-based virtual machines, simply give input variable `QEMU_AUDIO_DRV=none`.

Internally, the supplied values are interpreted in Unix process level as `<qemu-envvars> <qemu-executable> <vm-parameters-by-gns3>`.

![](images/patch_qemu-envvars-1.png)

- [gns3-gui - patch_gns3gui_qemu-envvars.patch](patches/gns3-gui/patch_gns3gui_qemu-envvars.patch)

- [gns3-server - patch_gns3server_qemu-envvars.patch](patches/gns3-server/patch_gns3server_qemu-envvars.patch)

## License

GPLv3.
